Package org.gradle.plugins.javascript.envjs

## Class EnvJsExtension

- java.lang.Object
- - org.gradle.plugins.javascript.envjs.EnvJsExtension

-     public class EnvJsExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CONFIGURATION_NAME` |
    `static String` | `DEFAULT_DEPENDENCY_GROUP` |
    `static String` | `DEFAULT_DEPENDENCY_MODULE` |
    `static String` | `DEFAULT_DEPENDENCY_VERSION` |
    `static String` | `NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnvJsExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getJs()` |
    `String` | `getVersion()` |
    `void` | `setJs​(FileCollection js)` |
    `void` | `setVersion​(String version)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_DEPENDENCY_VERSION

          public static final String DEFAULT_DEPENDENCY_VERSION

      See Also:
        Constant Field Values

    - #### DEFAULT_DEPENDENCY_GROUP

          public static final String DEFAULT_DEPENDENCY_GROUP

      See Also:
        Constant Field Values

    - #### DEFAULT_DEPENDENCY_MODULE

          public static final String DEFAULT_DEPENDENCY_MODULE

      See Also:
        Constant Field Values

    - #### CONFIGURATION_NAME

          public static final String CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EnvJsExtension

          public EnvJsExtension()

  - ### Method Detail

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion​(String version)

    - #### getJs

          public FileCollection getJs()

    - #### setJs

          public void setJs​(FileCollection js)